%define name    audiokonverter
%define pre   	0
%define version 5.9
%define rel	1
%define subrel	3
%if %pre
%define release	%mkrel -c %pre %rel
%define tarver	%version-%pre
%else
%define release	%mkrel %rel
%define tarver	%version
%endif

%define iconname %{name}.png
%define build_plf 0

%bcond_with plf
%if %with plf
%define build_plf 1
%define distsuffix plf
%endif

Summary:	An audio converter
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Sound
Source0:	http://www.kde-apps.org/CONTENT/content-files/12608-%name-%tarver.tar.bz2
URL:		http://www.kde-apps.org/content/show.php?content=12608
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kde4-macros
Requires:	dolphin
Requires:	mplayer flac wavpack
Requires:	id3lib vorbis-tools 
BuildArch:	noarch

%if %build_plf
Requires:	lame faac faad2
%else
Patch0:		audiokonverter-noflac.patch 
%endif

%description 
audiokonverter is a small utility to easily convert from OGG, MP3,
AAC, M4A, FLAC, WMA, RealAudio, Musepack, Wavpack, WAV and movies to
MP3, OGG, M4A, WAV and FLAC in Konqueror by right-clicking on them.

%if %build_plf
This package is in PLF because it requires packages that are in PLF.
%endif

%prep
%setup -q -n %{name}-%{tarver}
%if !%build_plf
%patch0 -p0 -b .plf
%endif
 
%install
rm -f %buildroot
mkdir -p %{buildroot}%_kde_services/ServiceMenus
install -m 644 *4.desktop %{buildroot}%_kde_services/ServiceMenus
mkdir -p %{buildroot}%_kde_appsdir/dolphin/servicemenus
install -m 644 *4.desktop %{buildroot}%_kde_appsdir/dolphin/servicemenus
mkdir -p %{buildroot}%_kde_bindir
install -m 755 anytowav4 audioconvert4 movie2sound4 oggdrop-lx %buildroot%_kde_bindir

%clean 
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc README Changelog
%_kde_bindir/*
%_kde_services/ServiceMenus/*.desktop
%_kde_appsdir/dolphin/servicemenus/*.desktop


%changelog
* Thu Oct 07 2010 Anssi Hannula <anssi@mandriva.org> 5.9-1.3mdv2010.1
+ Revision: 584051
- ship KDE4 scripts instead of KDE3 ones (Philippe Didier)

* Wed Oct 06 2010 Anssi Hannula <anssi@mandriva.org> 5.9-1.2mdv2010.1
+ Revision: 583883
- plf: fix distsuffix
- add --with plf build option and add reasoning

* Sat Nov 28 2009 Funda Wang <fwang@mandriva.org> 5.9-1mdv2010.1
+ Revision: 470985
- New version 5.9

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 5.8-0.beta.2mdv2010.0
+ Revision: 436682
- rebuild

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 5.8-0.beta.1mdv2009.1
+ Revision: 292122
- New version 5.8 beta (support kde4 environment)

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 5.5.1-3mdv2009.0
+ Revision: 226200
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Adam Williamson <awilliamson@mandriva.org> 5.5.1-2mdv2008.1
+ Revision: 138986
- fix #34694 (x-wavpack.desktop is in kdelibs now)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 David Walluck <walluck@mandriva.org> 5.5.1-1mdv2008.0
+ Revision: 78907
- 5.5.1


* Thu Dec 07 2006 Lenny Cartier <lenny@mandriva.com> 5.4.3a-1mdv2007.1
+ Revision: 92049
- Import audiokonverter

* Tue Aug 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 5.4.3a-1mdv2007.0
- 5.4.3a
- remove useless info from description
- wipe out buildroot in %%install, not %%prep
- package is GPL, drop 'COPYING'

* Sat May 06 2006 Nicolas Lécureuil <neoclust@mandriva.org> 5.4.2-2mdk
- 5.4.2
- Rediff Patch 0

* Sun Mar 19 2006 Austin Acton <austin@mandriva.org> 5.3-1mdk
- from Jerome Martin <jerome.f.martin@free.fr>
- some minor tidying

